Packaging - Bug #29181

tfm-ror52-rubygem-turbolinks isn't obsoleted
02/26/2020 11:43 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: RPMs
Target version: 2.0.0
Difficulty: Fixed in Releases: 2.0.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/4759,
https://github.com/theforeman/foreman-p
ackaging/pull/4770

Description
From https://community.theforeman.org/t/foreman-2-0rc1-install-problems/17551

—> Finished Dependency Resolution

Error: Package: tfm-ror52-rubygem-turbolinks-2.5.4-1.el7.noarch (@foreman-rails-1.20-rhel?7)
Requires: tfm-ror52-rubygem(coffee-rails)

Removing: tfm-ror52-rubygem-coffee-rails-4.2.2-1.el7.noarch (@foreman-rails-1.20-rhel?7)
tfm-ror52-rubygem(coffee-rails) = 4.2.2

Obsoleted By: tfm-rubygem-coffee-rails-4.2.2-5.el7.noarch (foreman-2.0-rhel?7)

Not found

Foreman and Proxy versions:
Foreman 1.24 -> Foreman 2.0

Distribution and version:

Isb_release -a

LSB Version:
:core-4.1-amd64:core-4.1-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-4.1-amd64:desktop-4.1-noarch:languages-4.1-amd64:lang
uages-4.1-noarch:printing-4.1-amd64:printing-4.1-noarch

Distributor ID: RedHatEnterpriseServer

Description: Red Hat Enterprise Linux Server release 7.7 (Maipo)

Release: 7.7

Codename: Maipo

Other relevant data:
Attached repos from Satelite

rhel-x86_64-server-7
rhel-x86_64-server-7-rhscl-1
rhel-x86_64-server-extras-7
rhel-x86_64-server-optional-7
rhel-x86_64-server-rh-common-7
rhel-x86_64-server-supplementary-7
rhn-tools-rhel-x86_64-server-7

Additonal Repos

EPEL

Cenos-SCL

copy of Foreman 2.0 repo

copy of Foreman 2.0 plugins repo

Associated revisions

Revision 09eb17a4 - 02/26/2020 04:20 PM - Ewoud Kohl van Wijngaarden
https://community.theforeman.org/t/foreman-2-0rc1-install-problems/17551

Fixes #29181 - obsolete tfm-ror52-rubygem-turbolinks
tfm-rubygem-turbolinks obsoleted tfm-ror52-rubygem-turbolinks but was

then removed and obsoleted here. By obsoleting it in tfm, users can
upgrade.

History

#1 - 02/26/2020 11:48 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/4759 added

#2 - 02/26/2020 04:20 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 02/26/2020 05:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|09eb17a4112d610d93842cfbci1e59ee743b8f7cc.

#4 - 02/27/2020 03:07 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/4770 added

#5 - 02/27/2020 03:27 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes

- Fixed in Releases 2.0.0 added

- Fixed in Releases deleted (2.1.0)

05/12/2024

22


https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/09eb17a4112d610d93842cfbc1e59ee743b8f7cc
http://www.tcpdf.org

